import * as faceapi from 'face-api.js';
export interface IFaceApiConfiguration {
    input: HTMLImageElement | HTMLVideoElement | string | faceapi.TNetInput;
    refreshRate?: number;
    useFaceLandMarks?: boolean;
    useAgeGenderModel?: boolean;
    useFaceExpressionModel?: boolean;
    modelUrl?: string;
}
/**
 * Hook used to retrieve the information about the different faces in a picture
 * @param configuration containing the configuration for the FaceAPI
 */
export declare function useFaceApi(configuration: IFaceApiConfiguration): faceapi.FaceDetection[];
